<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta charset="utf-8" />
<meta name="generator" content="Docutils 0.21b.dev: https://docutils.sourceforge.io/" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>Docutils: Documentation Utilities</title>
<link rel="stylesheet" href="docutils/writers/html5_polyglot/minimal.css" type="text/css" />
<link rel="stylesheet" href="docutils/writers/html5_polyglot/responsive.css" type="text/css" />
</head>
<body>
<header>
<p>Docutils | <a class="reference external" href="docs/index.html">Documentation</a> | <a class="reference external" href="https://sourceforge.net/p/docutils">Project page</a> | <a class="reference internal" href="#download">Download</a></p>
</header>
<main id="docutils-documentation-utilities">
<h1 class="title">Docutils: Documentation Utilities</h1>
<p class="subtitle" id="written-in-python-for-general-and-special-purpose-use">Written in Python, for General- and Special-Purpose Use</p>

<p>Docutils is an open-source text processing system for processing
plaintext documentation into useful formats, such as HTML, LaTeX,
man-pages, OpenDocument, or XML.
It includes <a class="reference external" href="rst.html">reStructuredText</a>, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.</p>
<hr class="docutils" />
<section id="overview">
<h2>Overview<a class="self-link" title="link to this section" href="#overview"></a></h2>
<p><strong>To get up &amp; running quickly</strong>, see the <a class="reference external" href="README.html#quick-start">Quick-Start</a> section of the
<a class="reference external" href="README.html">README</a> file. The only <a class="reference external" href="README.html#requirements">requirement</a> for running Docutils is <a class="reference external" href="https://www.python.org/">Python</a>.</p>
<p>All <strong>documentation</strong> can be reached from the <a class="reference external" href="docs/index.html">Project Documentation
Overview</a>. If something is unclear or missing, ask at the
<a class="reference external" href="docs/user/mailing-lists.html#docutils-users">docutils-users</a> mailing list.</p>
<p>The <img alt="SourceForge" class="align-middle" src="https://sourceforge.net/sflogo.php?group_id=38414" style="height: 1.5em;" /> <a class="reference external" href="https://sourceforge.net/p/docutils">project page</a> has links to the tracker, mailing
lists, and code repository.</p>
<p>All <strong>discussion</strong> about Docutils takes place on the <a class="reference external" href="docs/user/mailing-lists.html">mailing lists</a>.</p>
<p>To the developers of an open source project, <strong>feedback</strong> is a great
motivator and is very welcome.  We also rely on feedback for
determining what features to implement.  Thus, if you tell us what you
need, we may help!  Please post any feedback to the
<a class="reference external" href="docs/user/mailing-lists.html#docutils-users">docutils-users</a> mailing list.</p>
<p>If you find a <strong>bug</strong>, please <a class="reference external" href="BUGS.html#how-to-report-a-bug">file a bug report</a> or mail to the
<a class="reference external" href="docs/user/mailing-lists.html#docutils-users">docutils-users</a> mailing list.</p>
<p>We welcome all kinds of <strong>contributions</strong>.  There's a <a class="reference external" href="docs/dev/todo.html">To Do list</a> full
of ideas awaiting a champion.  If you have any questions regarding how to
extend Docutils, please feel free to ask on the <a class="reference external" href="docs/user/mailing-lists.html#docutils-develop">docutils-develop</a> mailing
list. <strong>Patch</strong> submissions should be filed in the <a class="reference external" href="https://sourceforge.net/p/docutils/patches/">patch tracker</a>
(preferred) or sent to <a class="reference external" href="docs/user/mailing-lists.html#docutils-develop">docutils-develop</a>.</p>
</section>
<section id="download">
<h2>Download<a class="self-link" title="link to this section" href="#download"></a></h2>
<p><a class="reference external" href="https://pypi.org/project/docutils/#files">Release packages</a> can be downloaded from <a class="reference external" href="https://pypi.org">PyPI</a>.
See the <a class="reference external" href="RELEASE-NOTES.html">release notes</a> for a list of changes since the previous
release.</p>
<p><a class="reference external" href="https://sourceforge.net/p/docutils/code/HEAD/tree/trunk/docutils/">Snapshots</a> <a class="brackets" href="#footnote-1" id="footnote-reference-1" role="doc-noteref"><span class="fn-bracket">[</span>1<span class="fn-bracket">]</span></a> from the <a class="reference external" href="docs/dev/repository.html">Docutils' Subversion repository</a>
usually contain <em>more features</em> and <em>fewer bugs</em>
than the &quot;official&quot; releases—they're not only for developers!</p>
<aside class="footnote-list brackets">
<aside class="footnote brackets" id="footnote-1" role="doc-footnote">
<span class="label"><span class="fn-bracket">[</span><a role="doc-backlink" href="#footnote-reference-1">1</a><span class="fn-bracket">]</span></span>
<p>Snapshots are created on-demand by Sourceforge.  You can
download a snapshot of the complete <a class="reference external" href="https://sourceforge.net/p/docutils/code/HEAD/tree/trunk/">trunk directory</a> (docutils,
<a class="reference external" href="sandbox/README.html">sandbox</a>, and web) or any sub-directory. Browse to the
desired directory and click the &quot;Download Snapshot&quot; button.</p>
</aside>
</aside>
<hr class="docutils" />
<p class="credits">Web site, tracker, mailing lists, and repository hosted by <a class="reference external image-reference" href="https://sourceforge.net/"><img alt="SourceForge" class="align-middle" src="https://sourceforge.net/sflogo.php?group_id=38414" style="height: 1.5em;" /></a>.
Powered by <a class="reference external image-reference" href="https://www.python.org/"><img alt="Python" class="align-middle" src="python.png" style="height: 1em;" /></a>.</p>
<!-- Local Variables:
mode: indented-text
indent-tabs-mode: nil
sentence-end-double-space: t
fill-column: 70
End: -->
</section>
</main>
<footer>
<p><a class="reference external" href="index.txt">View document source</a>.
Generated on: 2023-09-13 17:06 UTC.
Generated by <a class="reference external" href="https://docutils.sourceforge.io/">Docutils</a> from <a class="reference external" href="https://docutils.sourceforge.io/rst.html">reStructuredText</a> source.
</p>
</footer>
</body>
</html>
